## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with bootstrap

Name:             python-tablib
Version:          3.8.0
Release:          %autorelease
Summary:          Format agnostic tabular data library (XLS, JSON, YAML, CSV, etc.)

License:          MIT
URL:              http://github.com/jazzband/tablib
Source:           %{pypi_source tablib}

BuildArch:        noarch

BuildRequires:  python3-devel
# documentation
%if %{without bootstrap}
BuildRequires:  make
BuildRequires:  %{py3_dist docutils}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist tablib}
BuildRequires:  texinfo
%endif
# test requirements
BuildRequires:  %{py3_dist pytest}

%global _description %{expand: \
Tablib is a format-agnostic tabular dataset library, written in Python.}

%description %_description

%package -n python3-tablib
Summary:        %{summary}

%if %{defined fc42} || %{defined fc41}
# For backwards-compatibility with manual Requires, keep hard dependencies on
# the corresponding extras metapackages.
Requires:       python3-tablib+ods = %{version}-%{release}
Requires:       python3-tablib+xls = %{version}-%{release}
Requires:       python3-tablib+xlsx = %{version}-%{release}
Requires:       python3-tablib+yaml = %{version}-%{release}
%endif

%description -n python3-tablib %{_description}


%pyproject_extras_subpkg -n python3-tablib cli ods pandas xls xlsx yaml
%pyproject_extras_subpkg -n python3-tablib all
%pyproject_extras_subpkg -n python3-tablib html

%prep
%autosetup -n tablib-%{version}
# Remove shebangs from non-script sources. The find-then-modify pattern
# preserves mtimes on sources that did not need to be modified.
find 'src' -type f -name '*.py' \
    -exec gawk '/^#!/ { print FILENAME }; { nextfile }' '{}' '+' |
  xargs -r sed -r -i '1{/^#!/d}'
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i 's/ --cov(=|-report )[^ ]+//g' pytest.ini

%generate_buildrequires
%{pyproject_buildrequires \
    -x all \
    -x cli \
    -x html \
    -x ods \
    -x pandas \
    -x xls \
    -x xlsx \
    -x yaml}

%build
%pyproject_wheel
# Build documentation
%if %{without bootstrap}
pushd docs
sphinx-build -b texinfo . texinfo
pushd texinfo
makeinfo --docbook tablib
popd
popd
%endif

%install
%pyproject_install
%pyproject_save_files -l tablib
%if %{without bootstrap}
mkdir -p %{buildroot}/%{_datadir}/help/en/python-tablib
install -m644 docs/texinfo/tablib.xml \
  %{buildroot}/%{_datadir}/help/en/python-tablib/
%endif

%check
%pytest -v
 
%files -n python3-tablib -f %{pyproject_files}
%doc AUTHORS
%doc HISTORY.md
%doc README.md
%if %{without bootstrap}
%dir  %{_datadir}/help/en
%lang(en) %{_datadir}/help/en/python-tablib/
%endif

%changelog
## START: Generated by rpmautospec
* Mon May 19 2025 Benson Muite <fed500@fedoraproject.org> - 3.8.0-2
- Build documentation

* Mon May 19 2025 Benson Muite <fed500@fedoraproject.org> - 3.8.0-1
- Update to 3.8.0

* Sun May 18 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.0-19
- Run the tests

* Sun May 18 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.0-18
- Remove shebangs from non-script sources

* Sun May 18 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.0-17
- Port to pyproject-rpm-macros
- Add metapackages for Python extras

* Sun May 18 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.0-16
- Package AUTHORS and HISTORY.md as documentation

* Sun May 18 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.0-15
- Reduce macro indirection in the spec file
- Do not use the deprecated zero-argument form of %%pypi_source

* Sun May 18 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.0-14
- Update Summary/description from upstream; drop outdated format list

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 3.0.0-10
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 3.0.0-6
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 3.0.0-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

%autochangelog

## END: Generated by rpmautospec
